SQ(1)

NAME
sq key userid revoke - Revoke a user ID

SYNOPSIS
sq key userid revoke [OPTIONS] REASON MESSAGE

DESCRIPTION
Revoke a user ID.

Creates a revocation certificate for a user ID.

If `--revoker` or `--revoker-file` is provided, then that key is used to create the revocation certificate. If that key is different from the certificate that is being revoked, this results in a third-party revocation. This is normally only useful if the owner of the certificate designated the key to be a designated revoker.

`sq key userid revoke` respects the reference time set by the top-level `--time` argument. When set, it uses the specified time instead of the current time when determining what keys are valid, and it sets the revocation certificate's creation time to the reference time instead of the current time.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

--cert=FINGERPRINT|KEYID
    Revoke the user ID on the specified certificate

--cert-file=CERT_FILE
    Revoke the user ID on the specified certificate.

    Read the certificate whose user ID should be revoked from FILE or stdin, if `-`. It is an error for the file to contain more than one certificate.

--notation NAME VALUE
    Add a notation to the certification.

    A user-defined notation's name must be of the form `name@a.domain.you.control.org`. If the notation's name starts with a `!`, then the notation is marked as being critical. If a consumer of a signature doesn't understand a critical notation, then it will ignore the signature. The notation is marked as being human readable.

-o, --output=FILE
    Write to the specified FILE.

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

--revoker=FINGERPRINT|KEYID
    The certificate that issues the revocation.

    Sign the revocation certificate using the specified key. By default, the certificate being revoked is used. Using this option, it is possible to create a third-party revocation.

--revoker-file=KEY_FILE
    The certificate that issues the revocation.

    Sign the revocation certificate using the specified key. By default, the certificate being revoked is used. Using this option, it is possible to create a third-party revocation.

    Read the certificate from KEY_FILE or stdin, if `-`. It is an error for the file to contain more than one certificate.

--userid=USERID
    The user ID to revoke.

    By default, this must exactly match a self-signed User ID. Use `--force` to generate a revocation certificate for a User ID that is not self signed.

REASON
    The reason for the revocation.

    If the reason happened in the past, you should specify that using the `--time` argument. This allows OpenPGP implementations to more accurately reason about artifacts whose validity depends on the validity of the user ID.

    [possible values: retired, unspecified]

MESSAGE
    A short, explanatory text.

    The text is shown to a viewer of the revocation certificate, and explains why the certificate has been revoked. For instance, if Alice has left the organization, it might say who to contact instead.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Import a key.

    sq key import alice-secret.pgp

Retire a user ID.

    sq key userid revoke --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0 --userid \
        "Alice <alice@example.org>" retired \
        "No longer at example.org."

SEE ALSO
sq(1), sq-key(1), sq-key-userid(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)